#ifndef PARSE_H
#define PARSE_H

#include <stdio.h>
#include <FL/Fl_Image.H>

#define BUFSIZE 2048

extern size_t strltrim(char *s);
extern size_t strrtrim(char *s);
extern size_t strtrim (char *s);

extern size_t compose_escape_sequences(char *s);

extern int readln(FILE *fp, char key[BUFSIZE], char arg[BUFSIZE]);

extern int parse_widget(const char *arg, int *x, int *y, int *w, int *h, char l[BUFSIZE]);

extern Fl_Labeltype parse_labeltype(const char *arg, Fl_Labeltype def);
extern Fl_Font      parse_labelfont(const char *arg, Fl_Font      def);
extern Fl_Boxtype   parse_box      (const char *arg, Fl_Boxtype   def);
extern Fl_Align     parse_align    (const char *arg, Fl_Align     def);
extern Fl_Color     parse_color    (const char *arg, Fl_Color     def);
extern uchar        parse_labelsize(const char *arg, uchar        def);
extern const char*  parse_scheme   (const char *arg, const char  *def);

#endif // PARSE_H
